Get project
curl --request GET \
--url https://api.sandbox.tesouro.com/finops/v1/projects/{project_id} \
--header 'Authorization: Bearer <token>' \
--header 'x-finops-version: <x-finops-version>' \
--header 'x-organization-id: <x-organization-id>'import requests
url = "https://api.sandbox.tesouro.com/finops/v1/projects/{project_id}"
headers = {
"x-finops-version": "<x-finops-version>",
"x-organization-id": "<x-organization-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-finops-version': '<x-finops-version>',
'x-organization-id': '<x-organization-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.sandbox.tesouro.com/finops/v1/projects/{project_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Marketing",
"code": "<string>",
"color": "<string>",
"created_by_entity_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"end_date": "2023-12-25",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"partner_metadata": {},
"start_date": "2023-12-25",
"tags": [
{
"id": "ea837e28-509b-4b6a-a600-d54b6aa0b1f5",
"created_at": "2022-09-07T16:35:18.484507+00:00",
"updated_at": "2022-09-07T16:35:18.484507+00:00",
"name": "Marketing",
"category": "department",
"created_by_entity_user_id": "ea837e28-509b-4b6a-a600-d54b6aa0b1f5",
"description": "Tag for the Marketing Department"
}
]
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"message": "<string>"
}
}Projects
Get project
Get a project with the given ID.
GET
/
finops
/
v1
/
projects
/
{project_id}
Get project
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The ID of the entity that owns the requested resource.
Example:
"9d2b4c8f-2087-4738-ba91-7359683c49a4"
Path Parameters
Response
Successful Response
A unique ID assigned to this project.
Project created at
Last time project was updated at
The ID of the entity to which the project was issued.
The project name.
Required string length:
1 - 255Example:
"Marketing"
Project code
Required string length:
1 - 20Pattern:
^[a-zA-Z0-9]+$Project color
Maximum string length:
128Project created by entity user
Description of project
Maximum string length:
1024Project end date
Parent project ID
Project metadata
Project start date
A list of user-defined tags (labels) assigned to this project.
Show child attributes
Show child attributes
Was this page helpful?